ELBA-2022-21582

ELBA-2022-21582 - netdata Bug Fix update

Type:BUG
Severity:NA
Release Date:2022-09-23

Description


[1.36.1-1]
- Update from upstream

[1.35.1-1]
- Update from upstream

[1.34.1-2]
- Use embedded libjudy for el8

[1.34.1-1]
- Update from upstream
- Use embedded protobuf-cpp for el7

[1.33.1-2]
- Fix el9 buildreq condition for autogen

[1.33.1-1]
- Update from upstream
- Enable el9 build

[1.32.1-2]
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

[1.32.1-1]
- Update from upstream

[1.32.0-2]
- Add dependencies to useradd, groupadd and systemctl for data

[1.32.0-1]
- Update from upstream

[1.31.0-6]
- Rebuilt for protobuf 3.19.0

[1.31.0-5]
- Rebuilt for protobuf 3.18.1

[1.31.0-4]
- Rebuilt with OpenSSL 3.0.0

[1.31.0-3]
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

[1.31.0-2]
- Rebuild for versioned symbols in json-c

[1.31.0-1]
- Update from upstream

[1.30.1-2]
- Fix pre script, must be run before installing netdata-data package

[1.30.1-1]
- Update from upstream

[1.30.0-1]
- Update from upstream

[1.29.3-2]
- Rebuilt for updated systemd-rpm-macros
See https://pagure.io/fesco/issue/2583.

[1.29.3-1]
- Update from upstream

[1.29.2-1]
- Update from upstream

[1.29.1-1]
- Update from upstream

[1.29.0-1]
- Update from upstream
- Add profile file
- Move edit-config from netdata package to netdata-conf

[1.28.0-2]
- Re-enable cloud client
- Un-blundle libwebsockets (using lib from system) on fedora only

[1.28.0-1]
- Update from upstream: bugfix from upstream

[1.27.0-1]
- Update from upstream

[1.26.0-3]
- fix Bug 1906930: change /usr/share/netdata/web group to netdata

[1.26.0-2]
- Fix wrong drop for el6 support
- Fix tmpfiles (from /var/run to /run)
- Minors changes in netdata.conf

[1.26.0-1]
- Update from upstream

[1.25.0-1]
- Update from upstream
- Drop el6 support

[1.24.0-1]
- Update from upstream

[1.23.2-2]
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

[1.23.2-1]
- Update from upstream

[1.23.1-1]
- Update from upstream

[1.22.1-3]
- Exclude arch s390x on el8

[1.22.1-2]
- Conditionnaly build netfilteracct and cups plugins (disabed in epel7)

[1.22.1-1]
- Update from upstream

[1.21.1-2]
- Sync /usr/libexec/netdata/plugins.d/ binaries permissions with upstream

[1.21.1-1]
- Update from upstream

[1.21.0-1]
- Update from upstream

[1.20.0-1]
- Update from upstream

[1.18.1-2]
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

[1.18.1-1]
- Update from upstream

[1.18.0-1]
- Update from upstream

[1.17.1-1]
- Update from upstream

[1.17.0-1]
- Update from upstream

[1.16.0-2]
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

[1.16.0-1]
- Update from upstream

[1.15.0-1]
- Update from upstream

[1.14.0-1]
- Update from upstream

[1.14.0~rc0-2]
- Remove condition for patch (SRPM must embedded all)

[1.14.0~rc0-1]
- Update from upstream

[1.13.0-2]
- Fix bash and sh path on el6

[1.13.0-1]
- Update from upstream
- Bind to localhost

[1.12.2-3]
- Fix upstream archive name (source0)

[1.12.2-2]
- Fix spec file according to https://bugzilla.redhat.com/show_bug.cgi?id=1684719

[1.12.2-1]
- Update from upstream

[1.12.1-3]
- Fix rpmlint errors

[1.12.1-2]
- /usr/share/netdata/web must be owned by netdata user for now

[1.12.1-1]
- Update from upstream

[1.12.0-2]
- Don't remove embedded font for el6 and el7, again

[1.12.0-1]
- Update from upstream

[1.11.0-4]
- Don't remove embedded font for el6 and el7, package is not exist

[1.11.0-3]
- Disable tests for el6

[1.11.0-2]
- Re-enable el6 and el7

[1.11.0-1]
- Update from upstream

[1.10.0-2]
- Remove embedded font files
- Add data (noarch) subpackage
- Remove deprecated instructions

[1.10.0-1]
- Update from upstream

[1.9.0-1]
- Update from upstream
- Move freeipmi plugin to sub package (avoid freeipmi dependency)

[1.8.0-1]
- Update from upstream

[1.7.0-1]
- Update from upstream

[1.6.0-3]
- Fix freeipmi plugin permisions: must be suid to root

[1.6.0-2]
- Enable freeipmi plugin

[1.6.0-1]
- Update from upstream

[1.5.0-1]
- Update from upstream

[1.4.0-1]
- Update from upstream

[1.3.0-1]
- Update from upstream

[1.2.0-2]
- Create missing dir: /var/lib/netdata (useful for registry)

[1.2.0-1]
- Update from upstream

[1.0.0-1]
- First Release




Updated Packages


Release/ArchitectureFilenameMD5sumSuperseded By Advisory
Oracle Linux 7 (x86_64) netdata-1.36.1-1.el7.src.rpmc38ce97609f1e2f678a1cc5108404690-
netdata-1.36.1-1.el7.x86_64.rpm95b41d25403db490c18b20be3167a038-
netdata-conf-1.36.1-1.el7.noarch.rpm9cd53422e31dbb68e02b57dc738f85c0-
netdata-data-1.36.1-1.el7.noarch.rpm21a83662e28842374a8cfc054293c454-
netdata-freeipmi-1.36.1-1.el7.x86_64.rpm7c1baa91026318189d71baecfb0f2ce7-



This page is generated automatically and has not been checked for errors or omissions. For clarification or corrections please contact the Oracle Linux ULN team

software.hardware.complete